%define name ivtv-firmware-audio
%define version 2.0.24.23035
%define release %mkrel 3
%define distsuffix plf

Summary: Audio firmware for the PVR150/500 model series
Name: %{name}
Version: %{version}
Release: %{release}
License: Hauppauge/Conexant
Group: System/Kernel and hardware
URL:	http://www.hauppauge.com/pages/support/support_pvr150.html#drv
Source0:	http://dl.ivtvdriver.org/ivtv/firmware/firmware.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the firmware for driving audio on WinTV PVR
150/500 cards.

This package is in PLF because the firmware files are non-free.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
cd %{buildroot}/lib/firmware/
tar xzvf %{SOURCE0} v4l-cx25840.fw

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/lib/firmware/v4l-cx25840.fw

%changelog
* Sun Jul 23 2006 Stefan van der Eijk <stefan@zarb.org> 2.0.24.23035-3
- Get latest version.
  I have no clue what version it actually is, but it is the latest.
  md5sum = 99836e41ccb28c7b373e87686f93712a  v4l-cx25840.fw

* Mon Jan 16 2006 Stefan van der Eijk <stefan@zarb.org> 2.0.24.23035-2plf
- fix summary
- fix description

* Wed Dec 21 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.24.23035-1plf
- initial package
